
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2006 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: $
//
//  Last Modified By / On:
//    $Author: $ / $Date: $
//
//  Author:
//    Data Engine
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Header file for Event Filter INI definitions
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

#ifndef __DCEFINIDEF_H_INCLUDED__
#define __DCEFINIDEF_H_INCLUDED__


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <dcdetypes.h>


#ifdef __cplusplus
extern "C" {
#endif


//--------------------------------------------------------------------
// Event Filter INI file names
//--------------------------------------------------------------------

#define DC_EVENT_FILTER_DY_INI_FILE			"dcefdy" NATIVE_DATA_WIDTH_STR ".ini"
#define DC_EVENT_FILTER_ST_INI_FILE			"dcefst" NATIVE_DATA_WIDTH_STR ".ini"


//--------------------------------------------------------------------
// Event Filter INI sections and keys (Dynamic)
//--------------------------------------------------------------------


//--------------------------------------------------------------------
// Event Filter INI sections and keys (Static)
//--------------------------------------------------------------------


//--------------------------------------------------------------------
// Event Filter INI values
//--------------------------------------------------------------------


//--------------------------------------------------------------------
// End Definitions
//--------------------------------------------------------------------


#ifdef __cplusplus
}
#endif


#endif // __DCEFINIDEF_H_INCLUDED__

