
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2004 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 3 $
//
//  Last Modified By / On:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:07p $
//
//  Author / Created:
//    Chris Poblete / 2003 Jul 03
//
//  Environment:
//    Linux, Netware, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    <Put a sentence or two describing the contents of this file>
//
//  See Also:
//    <Put document references here>
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

#ifndef __DCTOSTRAPI_H_INCLUDED__
#define __DCTOSTRAPI_H_INCLUDED__


//---------------------------------------------------------------------
// Include files this header is dependent on
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Includes end
//---------------------------------------------------------------------

#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
// Defines and types
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Function Prototypes
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// dctostrsmstatus.c
//---------------------------------------------------------------------

const astring * SMStatusToUTF8(_IN s32 smStatus);


//---------------------------------------------------------------------
// dctostrdataobj.c
//---------------------------------------------------------------------

const astring * DataObjStatusToUTF8(_IN u8 objStatus);

u8 DataObjStatusTou8(_IN const astring *pObjStatus);


//---------------------------------------------------------------------
// dctostrsmtypes.c
//---------------------------------------------------------------------

const astring * SMVTypeToUTF8(_IN u16 smVType);

u8 SMVTypeSizeof(_IN u16 smVType);


//---------------------------------------------------------------------
// Header Code Ends
//---------------------------------------------------------------------


#ifdef __cplusplus
}
#endif



#endif // __DCTOSTRAPI_H_INCLUDED__
