
#ifdef __MAKE_INCLUDED_THIS_FILE__
#//-------------------------------------------------------------------------
#//
#//          Dell Inc. PROPRIETARY INFORMATION
#//
#//  This software is supplied under the terms of a license agreement or
#//  nondisclosure agreement with Dell Inc. and may not
#//  be copied or disclosed except in accordance with the terms of that
#//  agreement.
#//
#//  Copyright (c) 1995-2004 Dell Inc. All Rights Reserved.
#//
#//
#//  Revision:
#//    $Revision: 10 $
#//
#//  Last Modified By / On:
#//    $Author: Tushar_oza $ / $Date: 7/22/03 5:06p $
#//
#//  Environment:
#//    Linux, Netware, Windows NT/2000/.NET
#//
#//  User/Kernel Mode:
#//    User
#//  
#//  Abstract/Purpose:
#//    Data Engine version embedding build number definitions
#//
#//  See Also:
#//    See Data Engine High Level Design document
#//
#//  Notes:
#//    <Put notes here that you want to be read before code reading/modifying>
#//
#//-------------------------------------------------------------------------
#endif // __MAKE_INCLUDED_THIS_FILE__

#ifndef __PRODBUILDNUMBERINFO_H_INCLUDED__ 
#define __PRODBUILDNUMBERINFO_H_INCLUDED__ 
 
 
#ifdef __MAKE_INCLUDED_THIS_FILE__
#// NOTE: To override the Global Build Verison 
#// PRD_VER_PRODUCTBUILD and PRD_VER_PRODUCTBUILD_STR 
#// must be defined before this file is included
#// to override the values defined within this file
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
PRD_VER_PRODUCTBUILD=					3801
PRD_VER_PRODUCTBUILD_STR=				BLD_$(PRD_VER_PRODUCTBUILD)
#else
#define PRD_VER_PRODUCTBUILD			(3801)
#define PRD_VER_PRODUCTBUILD_STR		"BLD_3801"
#endif // __MAKE_INCLUDED_THIS_FILE__


#endif // __PRODBUILDNUMBERINFO_H_INCLUDED__

#ifdef __MAKE_INCLUDED_THIS_FILE__
#// End File
#endif // __MAKE_INCLUDED_THIS_FILE__ 

