#ifdef __MAKE_INCLUDED_THIS_FILE__
#//-------------------------------------------------------------------------
#//
#//          Dell Inc. PROPRIETARY INFORMATION
#//
#//  This software is supplied under the terms of a license agreement or
#//  nondisclosure agreement with Dell Inc. and may not
#//  be copied or disclosed except in accordance with the terms of that
#//  agreement.
#//
#//  Copyright (c) 1995-2012 Dell Inc. All Rights Reserved.
#//
#//
#//  Revision:
#//    $Revision: $
#//
#//  Last Modified By / On:
#//    $Author: $ / $Date: $
#//
#//  Author:
#//    Data Engine
#//
#//  Environment:
#//    Linux, NetWare, Windows NT/2000/2003/2008
#//
#//  User/Kernel Mode:
#//    User
#//  
#//  Abstract/Purpose:
#//    Data Engine version embedding definitions
#//
#//  See Also:
#//    Data Engine High Level Design Specification
#//
#//  Notes:
#//    <Put notes here that you want to be read before code reading/modifying>
#//
#//-------------------------------------------------------------------------
#endif // __MAKE_INCLUDED_THIS_FILE__

#ifndef __PRODVERSIONINFO_H_INCLUDED__
#define __PRODVERSIONINFO_H_INCLUDED__


#ifndef __MAKE_INCLUDED_THIS_FILE__
#// NOTE: The Global Build Verison PRD_VER_PRODUCTBUILD and 
#// PRD_VER_PRODUCTBUILD_STR will be defined by this file
#//include <prodbuildnumberinfo.h>
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifndef __MAKE_INCLUDED_THIS_FILE__
#// NOTE: The Global Product Name PRD_VER_PRODUCTNAME_STR
#// will be defined by this file
#include <prodnameinfo.h>
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifndef __MAKE_INCLUDED_THIS_FILE__
#// Configure/Edit the following to your app and specify in
#// a module type and name header file named moduleversioninfo.h
#// PRD_VER_FILETYPE to VFT_DLL or VFT_APP 
#// (For PRD_VER_FILETYPE, PRD_VER_FILESUBTYPE see NOTES below)
#// PRD_VER_FILEDESCRIPTION_STR is short desc of app.
#// PRD_VER_ORIGINALFILENAME_STR is the output filename of binary image on disk
#include <moduleversioninfo.h>
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// Major Version Number of the Product
PRD_VER_PRODUCTVERSION=					7
#else
#ifndef PRD_VER_PRODUCTVERSION
#define PRD_VER_PRODUCTVERSION			(7)
#endif
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// Minor Version (alias Revision Number) of the Product
PRD_VER_PRODUCTREVISION=				2
#else
#ifndef PRD_VER_PRODUCTREVISION
#define PRD_VER_PRODUCTREVISION			(2)
#endif
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// Maintanence Number of the Product
PRD_VER_PRODUCTMAINTAIN=				0
#else
#ifndef PRD_VER_PRODUCTMAINTAIN
#define PRD_VER_PRODUCTMAINTAIN			(0)
#endif
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// Version string of the Product
PRD_VER_PRODUCTVERSION_STR=				7.2.0 ($(PRD_VER_PRODUCTBUILD_STR))
#else
#ifndef PRD_VER_PRODUCTVERSION_STR
#define PRD_VER_PRODUCTVERSION_STR		"7.2.0 (" PRD_VER_PRODUCTBUILD_STR ")"
#endif
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// Company name string
PRD_VER_COMPANYNAME_STR=				Dell Inc.
#else
#ifndef PRD_VER_COMPANYNAME_STR
#define PRD_VER_COMPANYNAME_STR			"Dell Inc."
#endif
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// Number of years of copyright
PRD_VER_LEGALCOPYRIGHT_YEARS=			1995-2012
#else
#ifndef PRD_VER_LEGALCOPYRIGHT_YEARS
#define PRD_VER_LEGALCOPYRIGHT_YEARS	"1995-2012"
#endif
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// Copyright message of the Product
PRD_VER_LEGALCOPYRIGHT_STR=				Copyright (C) Dell Inc. $(PRD_VER_LEGALCOPYRIGHT_YEARS)
#else
#ifndef PRD_VER_LEGALCOPYRIGHT_STR
#define PRD_VER_LEGALCOPYRIGHT_STR		"Copyright (C) Dell Inc. " PRD_VER_LEGALCOPYRIGHT_YEARS
#endif
#endif // __MAKE_INCLUDED_THIS_FILE__


#endif // __PRODVERSIONINFO_H_INCLUDED__

