
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2010 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: $
//
//  Last Modified By / On:
//    $Author: $ / $Date: $
//
//  Author:
//    Tushar Oza
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003/2008
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Header file for samepisupt.c
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

#ifndef __SAMEPISUPT_H_INCLUDED__
#define __SAMEPISUPT_H_INCLUDED__


//--------------------------------------------------------------------
// $(DATAENGINESDK) include files
//--------------------------------------------------------------------
#include <dcossdk.h>
#include <dcisocppsecurecompat.h>
#include <dcsysdebug.h>
#include <dcdetypes.h>
#include <dcsmstatus.h>
#include <dcsupapi.h>
#include <dcsgenapi.h>
#include <dcsammesg.h>
#include <dcmsgcat.h>


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <epiincs.h>



#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
//  Defines and types
//---------------------------------------------------------------------
#define SAMPLE_XMLLOG_FILE_NAME				"samepi" NATIVE_DATA_WIDTH_STR ".xml"


//---------------------------------------------------------------------
//  Structure definitions
//---------------------------------------------------------------------


//---------------------------------------------------------------------
//  Function Prototypes
//---------------------------------------------------------------------

booln SamEPISuptStartEventMonitor(void);

void SamEPISuptStopEventMonitor(void);


#ifdef __cplusplus
}
#endif

#endif //  __SAMEPISUPT_H_INCLUDED__

