
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
// Module Name:
//
// Store test
//
// Abstract/Purpose:
//
// This module contains routines to test
// dcsmil and dsm_sa_datamgr interfaces
//
// Environment:
//
// WINNT, Netware, Linux and OS2
//
// Created/Updated Version:
// $Date: 7/22/03 5:07p $ $Revision: 4 $
//
// Last Modified by:
// $Author: Tushar_oza $
//
//--------------------------------------------------------------------


//--------------------------------------------------------------------
// Defines to customize headers to follow
//--------------------------------------------------------------------


//--------------------------------------------------------------------
// Local headers
//--------------------------------------------------------------------
#include <samcon.h>



//--------------------------------------------------------------------
// Local Defines
//--------------------------------------------------------------------



//--------------------------------------------------------------------
// Global Data Area
//--------------------------------------------------------------------



//---------------------------------------------------------------------
//  Code Begins
//---------------------------------------------------------------------


//---------------------------------------------------------------------
//  ModuleMain
//---------------------------------------------------------------------
s32 ModuleMain(_IN s32 argc, 
			   _IN astring **argv)
{

	// connect as data consumers
	if (ModuleAttach() == FALSE)
	{
		return SM_STATUS_DEVICE_NOT_READY;
	}

	// get some objects
	SamConGetControllerNames();

	// disconnect as data consumers
	ModuleDetach();

	UNREFERENCED_PARAMETER(argc);
	UNREFERENCED_PARAMETER(argv);

	return SM_STATUS_SUCCESS;
} // ModuleMain


//---------------------------------------------------------------------
//  Code Ends
//---------------------------------------------------------------------

