
//-------------------------------------------------------------------------
//
//          DELL INCORPORATED PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Incorporated and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 5 $
//
//  Last Modified By / On:
//    $Author: Benjamin_Lai $ / $Date: 2/27/04 2:08p $
//
//  Author / Created:
//    Benjamin Lai / 2004 Feb 27
//
//  Environment:
//    Linux, Netware, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Defines ini definition for sampop populator
//
//  See Also:
//    <Put document references here>
//
//  Notes:
//    Initially, only thread number is defined in sampopst32.ini
//
//-------------------------------------------------------------------------

#ifndef __SAMPOPINI_H_INCLUDED__
#define __SAMPOPINI_H_INCLUDED__


//---------------------------------------------------------------------
// Include files this header is dependent on
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Includes end
//---------------------------------------------------------------------


//---------------------------------------------------------------------
// Defines and types
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// INI file names
//---------------------------------------------------------------------
#define INI_NAME_SAMPOP_STATIC				"sampst" NATIVE_DATA_WIDTH_STR SM_EXT_INI ".ini"
#define INI_NAME_SAMPOP_DYNAMIC				"sampdy" NATIVE_DATA_WIDTH_STR SM_EXT_INI ".ini"

//---------------------------------------------------------------------
// Common section names
//---------------------------------------------------------------------
#define INI_SEC_MISC						"Miscellaneous"
#define INI_SEC_MGMT_SFTW_PROPS				"Management Software Properties"
#define INI_SEC_SECP_SECURITY_CONFIG		"Security Configuration"

//---------------------------------------------------------------------
// Req Test (Req Test) section and key names
//---------------------------------------------------------------------
#define INI_SEC_REQ_TEST					"Req Test"
#define INI_KEY_REQ_NUMTHEADS				"req.numthreads"

//---------------------------------------------------------------------
// Defines and types end
//---------------------------------------------------------------------


//---------------------------------------------------------------------
// Function Prototypes
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Header Code Ends
//---------------------------------------------------------------------



#endif // __SAMPOPINI_H_INCLUDED__
