
#ifdef __MAKE_INCLUDED_THIS_FILE__
#//-------------------------------------------------------------------------
#//
#//          Dell Inc. PROPRIETARY INFORMATION
#//
#//  This software is supplied under the terms of a license agreement or
#//  nondisclosure agreement with Dell Inc. and may not
#//  be copied or disclosed except in accordance with the terms of that
#//  agreement.
#//
#//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
#//
#//
#//  Revision:
#//    $Revision: 4 $
#//
#//  Last Modified By / On:
#//    $Author: Tushar_oza $ / $Date: 7/22/03 5:15p $
#//
#//  Author:
#//    Data Engine
#//
#//  Environment:
#//    Linux, Netware, Windows NT/2000/.NET
#//
#//  User/Kernel Mode:
#//    N/A
#//  
#//  Abstract/Purpose:
#//    Module version information declaration
#//
#//  See Also:
#//    Data Engine High Level Design document
#//
#//  Notes:
#//    Sample Data Engine NVP-Command Driven Test Tool
#//
#//-------------------------------------------------------------------------
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifndef __MODULEVERSIONINFO_H_INCLUDED__
#define __MODULEVERSIONINFO_H_INCLUDED__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// define binary image file type
#// In NT, PRD_VER_FILETYPE values are VFT_APP,VFT_DLL
#endif // __MAKE_INCLUDED_THIS_FILE__
#define PRD_VER_FILETYPE					VFT_APP


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// define purpose and description
PRD_VER_FILEDESCRIPTION_STR=				Sample Test Tool
#else
#define PRD_VER_FILEDESCRIPTION_STR         "Sample Test Tool" 
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// define binary image file name
PRD_VER_ORIGINALFILENAME_STR=				$(LOC_TARGET_FILE_NAME)
#else
#ifdef _WIN64
#define PRD_VER_ORIGINALFILENAME_STR        "samtoo64.exe"
#else
#define PRD_VER_ORIGINALFILENAME_STR        "samtoo32.exe"
#endif
#endif // __MAKE_INCLUDED_THIS_FILE__


#endif //  __MODULEVERSIONINFO_H_INCLUDED__
