
#ifdef __MAKE_INCLUDED_THIS_FILE__
#//-----------------------------------------------------------------------------
#//
#//          Dell Inc. PROPRIETARY INFORMATION
#//
#//  This software is supplied under the terms of a license agreement or
#//  nondisclosure agreement with Dell Inc. and may not
#//  be copied or disclosed except in accordance with the terms of that
#//  agreement.
#//
#//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
#//
#//
#//  Revision:
#//    $Revision: 5 $
#//
#//  Last Modified By / On:
#//    $Author: Tushar_oza $ / $Date: 7/22/03 5:14p $
#//
#//  Author:
#//    Doug Warzecha
#//
#//  Environment:
#//    Linux, NetWare, Windows NT/2000/2003
#//
#//  User/Kernel Mode:
#//    User
#//  
#//  Abstract/Purpose:
#//	   Module version information
#//
#//  See Also:
#//    Data Engine High Level Design Specification
#//
#//  Notes:
#//    <Put notes here that you want to be read before code reading/modifying>
#//
#//-----------------------------------------------------------------------------
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifndef __MODULEVERSIONINFO_H_INCLUDED__
#define __MODULEVERSIONINFO_H_INCLUDED__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// define binary image file type
#// In NT, PRD_VER_FILETYPE values are VFT_APP,VFT_DLL
#endif // __MAKE_INCLUDED_THIS_FILE__
#define PRD_VER_FILETYPE    VFT_DLL


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// define purpose and description
PRD_VER_FILEDESCRIPTION_STR=				Sample MIB Implementer 1
#else
#define PRD_VER_FILEDESCRIPTION_STR         "Sample MIB Implementer 1"
#endif // __MAKE_INCLUDED_THIS_FILE__


#ifdef __MAKE_INCLUDED_THIS_FILE__
#// define binary image file name
PRD_VER_ORIGINALFILENAME_STR=				$(LOC_TARGET_FILE_NAME)
#else
#ifdef _WIN64
#define PRD_VER_ORIGINALFILENAME_STR        "sammi164.dll"
#else
#define PRD_VER_ORIGINALFILENAME_STR        "sammi132.dll"
#endif
#endif // __MAKE_INCLUDED_THIS_FILE__


#endif // __MODULEVERSIONINFO_H_INCLUDED__

