/*************************************************************************
$Header:: $ 
Remove double colon (::) and this line before putting
under configuration management

$Project: 
$ 

$Creator: 

This Header file was created automatically by:

	Program:	C:\MYDEV\OMASMSDK\SDK_400\OSSNMP\TOOLS\MIBCOM~1\NETWARE\MIBCOMP.EXE
	Version:	2.2 01 October 1992
	Date:		Thu May 29 18:49:54 2003

$

$Locker$

$Source$

----------------------------------------------------------------------------

	(C) Copyright 1992 Novell, Inc.	All Rights Reserved.

	This program is an unpublished copyrighted work which is proprietary
	to Novell, Inc. and contains confidential information that is not
	to be reproduced or disclosed to any other person or entity without
	prior written consent from Novell, Inc. in each and every instance.

	WARNING:  Unauthorized reproduction of this program as well as
	unauthorized preparation of derivative works based upon the
	program or distribution of copies by sale, rental, lease or
	lending are violations of federal copyright laws and state trade
	secret laws, punishable by civil and criminal penalties.

----------------------------------------------------------------------------

$Abstract: 
    This file was created by the MIB Compiler 'mibcomp', from Novell, Inc.

    This file contains definitions necessary to instrument abstract objects
    and to interface those objects to the Novell SNMP Agent V2.0

See Also:
$


$Includes:
$


$Dependencies:
agent.h              SNMP v2.0 Agent Header File
sa_asn1.h            SNMP v2.0 ASN.1 Header File
$


$Files:
$


$Implementation Notes: 
$


$Log: /dataengine500/snmp/mibimplementer/sammi1/common/src/sammib1.c $ 
 * 
 * 6     6/09/03 5:46p Doug_warzecha
 * Reworked sammi1 for addition of sammi2.
$EndLog$ 

**************************** End Module Header *****************************
*/

#include <agent.h>
#include <sa_asn1.h>
#include <sammib1.h>




/* ----------------------
 * Abstract Object: mibImplementerGroup
 * ---------------------
 */

AttrInfo mibImplementerGroup_AttrInfo[] = {
	{	0,		/* A null attribute */
		AIT_UNKNOWN,		/* Type UNKNOWN */
		0,		/* NO ASN.1 Type */
		0L,		/* NO Min Value */
		0L,		/* NO Max Value */
		0 }		/* NO Flags */
,
	{	mibImplementerDescriptionName_ATTRIBUTE,
		AIT_DISPLAYSTRING,		/* Type   */
		ASN_OCTET_STRING,		/* ASN.1 Type */
		0L,		/* Min Value */
		255L,		/* Max Value */
		AIF_READ }		/* Flags */
,
	{	mibImplementerVersionName_ATTRIBUTE,
		AIT_DISPLAYSTRING,		/* Type   */
		ASN_OCTET_STRING,		/* ASN.1 Type */
		0L,		/* Min Value */
		255L,		/* Max Value */
		AIF_READ }		/* Flags */
,
	{	mibImplementerBuildDateTimeName_ATTRIBUTE,
		AIT_DISPLAYSTRING,		/* Type   */
		ASN_OCTET_STRING,		/* ASN.1 Type */
		0L,		/* Min Value */
		255L,		/* Max Value */
		AIF_READ }		/* Flags */
,
	{	mibImplementerOSTypeName_ATTRIBUTE,
		AIT_DISPLAYSTRING,		/* Type   */
		ASN_OCTET_STRING,		/* ASN.1 Type */
		0L,		/* Min Value */
		255L,		/* Max Value */
		AIF_READ }		/* Flags */
}; /* mibImplementerGroup_AttrInfo */

unsigned int mibImplementerGroup_ObjID[] = {
	1L,
	3L,
	6L,
	1L,
	4L,
	1L,
	674L,
	55555L,
	1L,
	100L,
	0L
};/* mibImplementerGroup_ObjID */

ObjInfo mibImplementerGroup_ObjInfo = {
	(ObjInfo *)NULL,		/* oib_next */
	&OCB_mibImplementerGroup,		/* Obj Control Block Pointer */
	0L,		/* oib_rtag */
	10,		/* Object Id Length */
	mibImplementerGroup_ObjID,		/* Object Id Pointer */
	0,		/* Num of items in index */
	(AttrInfo *)NULL,		/* Pointer to index */
	mibImplementerGroup_ATTRIB_MAX,		/* Max Value of Attribute ID */
	mibImplementerGroup_AttrInfo		/* pointer to attributes */
}; /* mibImplementerGroup_ObjInfo */


/* ----------------------
 * Abstract Object: dataTypeGroup
 * ---------------------
 */

AttrInfo dataTypeGroup_AttrInfo[] = {
	{	0,		/* A null attribute */
		AIT_UNKNOWN,		/* Type UNKNOWN */
		0,		/* NO ASN.1 Type */
		0L,		/* NO Min Value */
		0L,		/* NO Max Value */
		0 }		/* NO Flags */
,
	{	dataTypeInteger_ATTRIBUTE,
		AIT_INTEGER,		/* Type Integer   */
		ASN_INTEGER,		/* ASN.1 Type */
		0L,		/* Min Value */
		0L,		/* Max Value */
		AIF_READ | AIF_WRITE | AIF_IMMEDIATE }		/* Flags */
,
	{	dataTypeOctetString_ATTRIBUTE,
		AIT_LONGOCTET,		/* Type OctetString   */
		ASN_OCTET_STRING,		/* ASN.1 Type */
		0L,		/* Min Value */
		255L,		/* Max Value */
		AIF_READ | AIF_WRITE }		/* Flags */
,
	{	dataTypeObjectIdentifier_ATTRIBUTE,
		AIT_OBJECTID,		/* Type Object Identifier */
		ASN_OBJECT_ID,		/* ASN.1 Type */
		0L,		/* Min Value */
		0L,		/* Max Value */
		AIF_READ | AIF_WRITE }		/* Flags */
,
	{	dataTypeIpAddress_ATTRIBUTE,
		AIT_SHORTOCTET,		/* Type IpAddress */
		ASN_IPADDRESS,		/* ASN.1 Type */
		4L,		/* Min Value */
		4L,		/* Max Value */
		AIF_READ | AIF_WRITE | AIF_IMMEDIATE }		/* Flags */
,
	{	dataTypeCounter_ATTRIBUTE,
		AIT_INTEGER,		/* Type Counter */
		ASN_COUNTER,		/* ASN.1 Type */
		0L,		/* Min Value */
		0L,		/* Max Value */
		AIF_READ | AIF_WRITE | AIF_IMMEDIATE }		/* Flags */
,
	{	dataTypeGauge_ATTRIBUTE,
		AIT_INTEGER,		/* Type Gauge */
		ASN_GAUGE,		/* ASN.1 Type */
		0L,		/* Min Value */
		0L,		/* Max Value */
		AIF_READ | AIF_WRITE | AIF_IMMEDIATE }		/* Flags */
,
	{	dataTypeTimeTicks_ATTRIBUTE,
		AIT_TIMETICKS,		/* Type TimeTicks */
		ASN_TIMETICKS,		/* ASN.1 Type */
		0L,		/* Min Value */
		0L,		/* Max Value */
		AIF_READ | AIF_WRITE | AIF_IMMEDIATE }		/* Flags */
}; /* dataTypeGroup_AttrInfo */

unsigned int dataTypeGroup_ObjID[] = {
	1L,
	3L,
	6L,
	1L,
	4L,
	1L,
	674L,
	55555L,
	1L,
	200L,
	0L
};/* dataTypeGroup_ObjID */

ObjInfo dataTypeGroup_ObjInfo = {
	(ObjInfo *)NULL,		/* oib_next */
	&OCB_dataTypeGroup,		/* Obj Control Block Pointer */
	0L,		/* oib_rtag */
	10,		/* Object Id Length */
	dataTypeGroup_ObjID,		/* Object Id Pointer */
	0,		/* Num of items in index */
	(AttrInfo *)NULL,		/* Pointer to index */
	dataTypeGroup_ATTRIB_MAX,		/* Max Value of Attribute ID */
	dataTypeGroup_AttrInfo		/* pointer to attributes */
}; /* dataTypeGroup_ObjInfo */


/* -------------------------
 * EXPORT: MODULE OBJECT INFORMATION BLOCK: SAMMIB1_MIB
 * -------------------------
 */
ObjInfo *SAMMIB1_MIB[] = {
	&mibImplementerGroup_ObjInfo,
	&dataTypeGroup_ObjInfo,
	(ObjInfo *)NULL
}; /* SAMMIB1_MIB */


/* -------------------------
 * OBJECT CONTROL BLOCKS:
 * -------------------------
 */
ObjControl OCB_mibImplementerGroup;
ObjControl OCB_dataTypeGroup;

