
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for epiexport.c support module
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 2 $
//
//
//  Last Modified by/on:
//  $Author: Tushar_oza $ / $Date: 7/22/03 5:07p $
//
//--------------------------------------------------------------------


#ifndef __EPIEXPORT_H_INCLUDED__
#define __EPIEXPORT_H_INCLUDED__



//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// $(DATAENGINESDK) include files
//--------------------------------------------------------------------
#include <dcossdk.h>
#include <dcsysdebug.h>
#include <dcdetypes.h>
#include <dcsmstatus.h>
#include <dcsupapi.h>


#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
// Function prototypes - Define the body for these external functions
// in your module that includes this header and related source files
//---------------------------------------------------------------------

extern s32 EventImplementerAttach(void);

extern void EventImplementerDetach(void);

extern s32 EventImplementerDispatch(_IN u32 epiID, 
									_IN u32 reqType,
									_IN const void *pInBuf, 
									_IN u32 inBufSize,
									_OUT void *pOutBuf, 
									_IN u32 outBufSize,
									_OUT u32 *pBytesReturned);


#ifdef __cplusplus
}
#endif

#endif //  __EPIEXPORT_H_INCLUDED__ 


