
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for samepi.c event plugin implemeter module
//
// Environment:
//
// WINNT, Netware and LINUX
//
//--------------------------------------------------------------------


#ifndef __SAMEPI_H_INCLUDED__
#define __SAMEPI_H_INCLUDED__


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <epiincs.h>
#include <samepisupt.h>


#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
//  Defines and types
//---------------------------------------------------------------------

//---------------------------------------------------------------------
//  Structure definitions
//---------------------------------------------------------------------

//---------------------------------------------------------------------
//  Function Prototypes
//---------------------------------------------------------------------


//---------------------------------------------------------------------
//  SAMEPIGLOBALS.C
//---------------------------------------------------------------------

s32 SamEPIGlobalsAlloc(void);

void SamEPIGlobalsFree(void);

booln SamEPIGlobalsSetExitingFlag(_IN booln newFlag);

booln SamEPIGlobalsGetExitingFlag(void);


#ifdef __cplusplus
}
#endif

#endif //  __SAMEPI_H_INCLUDED__

