
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for popdatasync.c support module
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 1 $
//
//
//  Last Modified by/on:
//  $Author: Tushar_oza $ / $Date: 8/01/03 4:27p $
//
//--------------------------------------------------------------------


#ifndef __POPDATASYNC_H_INCLUDED__
#define __POPDATASYNC_H_INCLUDED__



//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// $(DATAENGINESDK) include files
//--------------------------------------------------------------------
#include <dcsysdebug.h>
#include <dcsupapi.h>


#ifdef __cplusplus
extern "C" {
#endif
	
	
//---------------------------------------------------------------------
// Function prototypes 
//---------------------------------------------------------------------

void PopDataSyncReadLock(void);

void PopDataSyncReadUnLock(void);

void PopDataSyncWriteLock(void);

void PopDataSyncWriteUnLock(void);

s32 PopDataSyncAttach(void);

void PopDataSyncDetach(void);


#ifdef __cplusplus
}
#endif

#endif //  __POPDATASYNC_H_INCLUDED__ 


