
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 3 $
//
//  Last Modified By / On:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:15p $
//
//  Author:
//    <Put author's name here>
//
//  Environment:
//    Linux, Netware, Windows NT/2000
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    <Put a sentence or two describing the contents of this file>
//
//  See Also:
//    <Put document references here>
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

#ifndef __TEMPLATE_CHEADER_H_INCLUDED__
#define __TEMPLATE_CHEADER_H_INCLUDED__


//---------------------------------------------------------------------
// Header dependent includes
//---------------------------------------------------------------------


//---------------------------------------------------------------------
// Includes Ends
//---------------------------------------------------------------------


#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
// Definitions
//---------------------------------------------------------------------


//---------------------------------------------------------------------
// Structures and Types
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// INI Alias Definitions
//---------------------------------------------------------------------

#define INIALIAS_OPTS_UNDEFINED						(0)

#define INIALIAS_OPTS_STARTUP_DISABLE				BIT(0)
#define INIALIAS_OPTS_STARTUP_AUTO					BIT(1)
#define INIALIAS_OPTS_STARTUP_MANUAL				BIT(2)

#define INIALIAS_OPTS_UPDATE						BIT(3)


//---------------------------------------------------------------------
// INI Alias Definitions - Suffix Ordinal
//---------------------------------------------------------------------

#define INIALIAS_ORDINAL_INVALID					(-1)
#define INIALIAS_ORDINAL_DUPLICATE					(-2)

// Maximum number of populators that can be loaded
#define INIALIAS_ORDINAL_MAX_VAL					(64)


//---------------------------------------------------------------------
// Function Prototypes
//---------------------------------------------------------------------

s32 FindNextOrdinal(_IN const DECmdControl *pDCC,
					_IN const astring *pAliasName,
					_IN u32 optionsMap,
					_IN const astring *pINIPathFile,
					_IN const astring *pSectionName);


//---------------------------------------------------------------------
// Header Code Ends
//---------------------------------------------------------------------


#ifdef __cplusplus
}
#endif


#endif // __TEMPLATE_CHEADER_H_INCLUDED__

