
//-----------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2007 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: $
//
//  Last Modified By / On:
//    $Author: $ / $Date: $
//
//  Author:
//    Doug Warzecha
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003/LH
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Include headers files needed by this module
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-----------------------------------------------------------------------------

#ifndef __MODULEINCS_H_INCLUDED__
#define __MODULEINCS_H_INCLUDED__


//-----------------------------------------------------------------------------
// Begin Includes
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Data Engine core header files
//-----------------------------------------------------------------------------
#include <dcossdk.h>
#include <dcdetypes.h>
#include <dcisocppsecurecompat.h>
#include <dcsysdebugsecure.h>
#include <dcsupapi.h>
#include <prodbuildnumberinfo.h>
#include <prodversioninfo.h>


//-----------------------------------------------------------------------------
// Data Engine SNMP header files
//-----------------------------------------------------------------------------
#include <dcsmsnmp.h>
#include <snmpoidsecure.h>


//-----------------------------------------------------------------------------
// Data Engine SNMP MIB Implementer header files
//-----------------------------------------------------------------------------
#include <mpidispatch.h>
#include <mpiexport.h>
#include <mpimiblist.h>
#include <mpivarbind.h>


//-----------------------------------------------------------------------------
// Module header files
//-----------------------------------------------------------------------------
#include <moduleconfig.h>
#include <moduleversioninfo.h>
#include <sammib1.h>
#include <sammib1supt.h>
#include <samshare.h>
#include <samsharesupt.h>


//-----------------------------------------------------------------------------
// End Includes
//-----------------------------------------------------------------------------


#endif // __MODULEINCS_H_INCLUDED__

