/*************************************************************************
$Header:: $ 
Remove double colon (::) and this line before putting
under configuration management

$Project: 
$ 

$Creator: 

This Header file was created automatically by:

	Program:	C:\OMASMSDK\SDK_350\OSSNMP\TOOLS\MIBCOM~1\NETWARE\MIBCOMP.EXE
	Version:	2.2 01 October 1992
	Date:		Wed Apr 09 16:38:57 2003

$

$Locker$

$Source$

----------------------------------------------------------------------------

	(C) Copyright 1992 Novell, Inc.	All Rights Reserved.

	This program is an unpublished copyrighted work which is proprietary
	to Novell, Inc. and contains confidential information that is not
	to be reproduced or disclosed to any other person or entity without
	prior written consent from Novell, Inc. in each and every instance.

	WARNING:  Unauthorized reproduction of this program as well as
	unauthorized preparation of derivative works based upon the
	program or distribution of copies by sale, rental, lease or
	lending are violations of federal copyright laws and state trade
	secret laws, punishable by civil and criminal penalties.

----------------------------------------------------------------------------

$Abstract: 
    This file was created by the MIB Compiler 'mibcomp', from Novell, Inc.

    This file contains definitions necessary to instrument abstract objects
    and to interface those objects to the Novell SNMP Agent V2.0

See Also:
$


$Includes:
$


$Dependencies:
agent.h              SNMP v2.0 Agent Header File
sa_asn1.h            SNMP v2.0 ASN.1 Header File
$


$Files:
$


$Implementation Notes: 
$


$Log: /dataengine500/snmp/mibimplementer/sammi1/common/src/samshare.c $ 
 * 
 * 3     4/11/03 5:02p Doug_warzecha
 * Updated file header.
$EndLog$ 

**************************** End Module Header *****************************
*/

#include <agent.h>
#include <sa_asn1.h>
#include <samshare.h>




/* ----------------------
 * Abstract Object: messageAgentTableEntry
 * ---------------------
 */

AttrInfo messageAgentTableEntry_AttrInfo[] = {
	{	0,		/* A null attribute */
		AIT_UNKNOWN,		/* Type UNKNOWN */
		0,		/* NO ASN.1 Type */
		0L,		/* NO Min Value */
		0L,		/* NO Max Value */
		0 }		/* NO Flags */
,
	{	messageAgentIndex_ATTRIBUTE,
		AIT_INTEGER,		/* Type Integer   */
		ASN_INTEGER,		/* ASN.1 Type */
		1L,		/* Min Value */
		100L,		/* Max Value */
		AIF_READ | AIF_IMMEDIATE }		/* Flags */
,
	{	messageAgentName_ATTRIBUTE,
		AIT_DISPLAYSTRING,		/* Type   */
		ASN_OCTET_STRING,		/* ASN.1 Type */
		0L,		/* Min Value */
		255L,		/* Max Value */
		AIF_READ }		/* Flags */
,
	{	messageAgentAddMessageName_ATTRIBUTE,
		AIT_DISPLAYSTRING,		/* Type   */
		ASN_OCTET_STRING,		/* ASN.1 Type */
		1L,		/* Min Value */
		255L,		/* Max Value */
		AIF_READ | AIF_WRITE }		/* Flags */
}; /* messageAgentTableEntry_AttrInfo */

AttrInfo messageAgentTableEntry_Index[] = {
	{	messageAgentIndex_ATTRIBUTE,
		AIT_INTEGER,		/* Type Integer   */
		ASN_INTEGER,		/* ASN.1 Type */
		1L,		/* Min Value */
		100L,		/* Max Value */
		AIF_READ | AIF_IMMEDIATE }		/* Flags */
}; /* messageAgentTableEntry_Index */

unsigned int messageAgentTableEntry_ObjID[] = {
	1L,
	3L,
	6L,
	1L,
	4L,
	1L,
	674L,
	55555L,
	9L,
	100L,
	10L,
	1L,
	0L
};/* messageAgentTableEntry_ObjID */

ObjInfo messageAgentTableEntry_ObjInfo = {
	(ObjInfo *)NULL,		/* oib_next */
	&OCB_messageAgentTableEntry,		/* Obj Control Block Pointer */
	0L,		/* oib_rtag */
	12,		/* Object Id Length */
	messageAgentTableEntry_ObjID,		/* Object Id Pointer */
	1,		/* Num of items in index */
	messageAgentTableEntry_Index,		/* Pointer to index */
	messageAgentTableEntry_ATTRIB_MAX,		/* Max Value of Attribute ID */
	messageAgentTableEntry_AttrInfo		/* pointer to attributes */
}; /* messageAgentTableEntry_ObjInfo */


/* ----------------------
 * Abstract Object: messageTableEntry
 * ---------------------
 */

AttrInfo messageTableEntry_AttrInfo[] = {
	{	0,		/* A null attribute */
		AIT_UNKNOWN,		/* Type UNKNOWN */
		0,		/* NO ASN.1 Type */
		0L,		/* NO Min Value */
		0L,		/* NO Max Value */
		0 }		/* NO Flags */
,
	{	messageIndex_ATTRIBUTE,
		AIT_INTEGER,		/* Type Integer   */
		ASN_INTEGER,		/* ASN.1 Type */
		1L,		/* Min Value */
		1000L,		/* Max Value */
		AIF_READ | AIF_IMMEDIATE }		/* Flags */
,
	{	messageName_ATTRIBUTE,
		AIT_DISPLAYSTRING,		/* Type   */
		ASN_OCTET_STRING,		/* ASN.1 Type */
		0L,		/* Min Value */
		255L,		/* Max Value */
		AIF_READ }		/* Flags */
,
	{	messageDateTimeName_ATTRIBUTE,
		AIT_DISPLAYSTRING,		/* Type   */
		ASN_OCTET_STRING,		/* ASN.1 Type */
		0L,		/* Min Value */
		255L,		/* Max Value */
		AIF_READ }		/* Flags */
,
	{	messageMessageAgentIndex_ATTRIBUTE,
		AIT_INTEGER,		/* Type Integer   */
		ASN_INTEGER,		/* ASN.1 Type */
		0L,		/* Min Value */
		0L,		/* Max Value */
		AIF_READ | AIF_IMMEDIATE }		/* Flags */
,
	{	messageControl_ATTRIBUTE,
		AIT_INTEGER,		/* Type Integer   */
		ASN_INTEGER,		/* ASN.1 Type */
		1L,		/* Min Value */
		99L,		/* Max Value */
		AIF_READ | AIF_WRITE | AIF_IMMEDIATE }		/* Flags */
}; /* messageTableEntry_AttrInfo */

AttrInfo messageTableEntry_Index[] = {
	{	messageIndex_ATTRIBUTE,
		AIT_INTEGER,		/* Type Integer   */
		ASN_INTEGER,		/* ASN.1 Type */
		1L,		/* Min Value */
		1000L,		/* Max Value */
		AIF_READ | AIF_IMMEDIATE }		/* Flags */
}; /* messageTableEntry_Index */

unsigned int messageTableEntry_ObjID[] = {
	1L,
	3L,
	6L,
	1L,
	4L,
	1L,
	674L,
	55555L,
	9L,
	100L,
	20L,
	1L,
	0L
};/* messageTableEntry_ObjID */

ObjInfo messageTableEntry_ObjInfo = {
	(ObjInfo *)NULL,		/* oib_next */
	&OCB_messageTableEntry,		/* Obj Control Block Pointer */
	0L,		/* oib_rtag */
	12,		/* Object Id Length */
	messageTableEntry_ObjID,		/* Object Id Pointer */
	1,		/* Num of items in index */
	messageTableEntry_Index,		/* Pointer to index */
	messageTableEntry_ATTRIB_MAX,		/* Max Value of Attribute ID */
	messageTableEntry_AttrInfo		/* pointer to attributes */
}; /* messageTableEntry_ObjInfo */


/* -------------------------
 * EXPORT: MODULE OBJECT INFORMATION BLOCK: SAMSHARE_MIB
 * -------------------------
 */
ObjInfo *SAMSHARE_MIB[] = {
	&messageAgentTableEntry_ObjInfo,
	&messageTableEntry_ObjInfo,
	(ObjInfo *)NULL
}; /* SAMSHARE_MIB */


/* -------------------------
 * OBJECT CONTROL BLOCKS:
 * -------------------------
 */
ObjControl OCB_messageAgentTableEntry;
ObjControl OCB_messageTableEntry;

